import Markdown from 'react-markdown';

import * as style from './markdown.css';
import Copy from '../copy';
import Text from './text';
import { map_to_type } from './text';

export default function MarkdownContent({ text }: { text: string }) {
	return (
		<Markdown 
			components={{
				'code': (props) => {
					const split = props.className?.split('-') ?? ['none'];
					return (
						<div className={style.code_bounds}>
							<Copy className={style.copy} text={props.children as string}></Copy>
							<Text language={split.length == 0 ? 'none' : map_to_type(split[split.length - 1])} text={props.children as string} line_numbers={false} />
						</div>
					);
				}
			}}
		>{text}</Markdown>
	);
}
